<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
                   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                   xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
                      http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.8.xsd">

    <changeSet
            id="create-location-table"
            author="anp"
    >
        <createTable tableName="locations">
            <column autoIncrement="true" name="id" type="bigserial">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="name" type="VARCHAR(255)"/>
            <column name="address" type="VARCHAR(25)"/>
            <column name="country" type="VARCHAR(50)"/>
            <column name="city" type="VARCHAR(25)"/>
            <column name="company_id" type="BIGINT"/>
        </createTable>
        <rollback>
            <dropTable tableName="locations"/>
        </rollback>
    </changeSet>

</databaseChangeLog>
